Bug 9317 - Cannot easily change to internal DNS server
Cannot easily change to internal DNS server
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: DNS server
4.0.0rc3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 8622
  Show dependency treegraph
 
Reported: 2012-10-23 04:53 UTC by Andrew Bartlett
Modified: 2012-11-06 10:04 UTC (History)
2 users (show)

See Also:


Attachments
Patch from master for this issue (3.53 KB, patch)
2012-10-23 04:53 UTC, Andrew Bartlett
abartlet: review? (kai)
abartlet: review? (metze)
obnox: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2012-10-23 04:53:48 UTC
Created attachment 8098 [details]
Patch from master for this issue

An installation configured for bind9 use cannot change to use the internal DNS server without altering the directory.

This patch makes the internal server agile to both possible provision situations, allowing only an smb.conf change.

The reverse still requires running samba_upgradedns.
Comment 1 Michael Adam 2012-11-04 23:51:41 UTC
Comment on attachment 8098 [details]
Patch from master for this issue

ack
Comment 2 Michael Adam 2012-11-04 23:52:30 UTC
==> Karolin for 4.0
Comment 3 Karolin Seeger 2012-11-05 10:30:21 UTC
Pushed to autobuild-v4-0-test.
Comment 4 Karolin Seeger 2012-11-06 10:04:08 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!